At Appstart: wxWidgets Debug Alert ...

Bug #1384283 reported by pixel on 2014-10-22
74
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Hugin
Undecided
Unassigned

Bug Description

Hugin 2014.0.0., Final downloaded at sourceforge today, Mac OS X 10.6.8

All till now downloaded 2014 Versions, betas and final, after starting the program the hugins "desktop" appears, then a wxWidgets Debug Alert pops up. This alert can not be canceled or anything else, there is no response to mousklicks or typepad. The programm is not usable anymore and i only can end it with alt+cmd+esc

Here the showen Alert:

wxWidgets Debug Alert

../src/common/menucmn.cpp(693): assert "!m_menuBar" failed in Attach(): attaching menu twice?

Call stack:
[00] wxMenuBar::Replace(unsigned long, wxMenu*, wxString const&)
[01] MainFrame::SetGuiLevel(GuiLevel)
[02] MainFrame::MainFrame(wxWindow*, PT::Panorama&)
[03] huginApp::OnInit()
[04] wxApp::CallOnInit()
[05] wxEntry(int&, wchar_t**)
[06] main
[07] start

Do you want to stop the program?
You can also choose [Cancel] to suppress further warnings.

pixel (b1020364) wrote :
Don Johnston (dgjohnston) wrote :

Hi, I just downloaded and installed "2014.0.0 built by Matthieu DESILE" on my Mac (Yosemite 10.10) and get the same result:

../src/common/menucmn.cpp(693): assert "!m_menuBar" failed in Attach(): attaching menu twice?

Call stack:
[00] wxMenuBar::Replace(unsigned long, wxMenu*, wxString const&)
[01] MainFrame::SetGuiLevel(GuiLevel)
[02] MainFrame::MainFrame(wxWindow*, PT::Panorama&)
[03] huginApp::OnInit()
[04] wxApp::CallOnInit()
[05] wxEntry(int&, wchar_t**)
[06] main
[07] start
[08] 0x00000001

I click on no and hugin runs. After loading a project I'd used in 2013 and clicking on "expert" in the menu bar I get another alert:

../src/common/menucmn.cpp(701): assert "m_menuBar" failed in Detach(): detaching unattached menu?

Call stack:
[00] wxMenuBar::Remove(unsigned long)
[01] MainFrame::SetGuiLevel(GuiLevel)
[02] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*)
[03] wxEvtHandler::ProcessEventLocally(wxEvent&)
[04] wxEvtHandler::ProcessEvent(wxEvent&)
[05] wxWindowBase::TryAfter(wxEvent&)
[06] wxEvtHandler::ProcessEvent(wxEvent&)
[07] wxWindowBase::TryAfter(wxEvent&)
[08] wxEvtHandler::ProcessEvent(wxEvent&)
[09] wxEvtHandler::SafelyProcessEvent(wxEvent&)
[10] wxMenuBase::SendEvent(int, int)
[11] wxMenu::HandleCommandProcess(wxMenuItem*, wxWindow*)
[12] _os_activity_initiate
[13] -[NSApplication sendAction:to:from:]
[14] -[NSMenuItem _corePerformAction]
[15] -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:]
[16] _os_activity_initiate
[17] -[NSMenu performActionForItemAtIndex:]
[18] -[NSMenu _internalPerformActionForItemAtIndex:]
[19] -[NSCarbonMenuImpl _carbonCommandProcessEvent:handlerCallRef:]
[20] NSSLMMenuEventHandler

I clicked "no" and hugin is running fine.

Chris Jones (a-chris-e) wrote :

I am also using OSX 10.6.8 and getting the same bug as the first person on this listing

tmodes (tmodes) wrote :

Trying to fix in changeset 52db69110c2945800d2f69fc3f024b456c858700

PS: Normally the debug messages should not be displayed. This indicates that wxWidgets is compiled as debug version. This is IMHO not recommend for distribution and should by fixed by the builder of the wxWidgets libs.

Changed in hugin:
status: New → Fix Committed
Charlie Bigley (charlie-bigley) wrote :

I'm getting same bug too. Don't understand previous post; it suggests that is has been fixed - is this true? When and how can one obtain the corrected version?

Pretty sure that previous email meant someone was finally working on the
problem, not that it has been fixed already.

" Changed in: hugin
       Status: New => Fix Committed"
 On Feb 13, 2015 5:10 PM, "Charlie Bigley" <email address hidden>
wrote:

> I'm getting same bug too. Don't understand previous post; it suggests
> that is has been fixed - is this true? When and how can one obtain the
> corrected version?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1392126).
> https://bugs.launchpad.net/bugs/1384283
>
> Title:
> At Appstart: wxWidgets Debug Alert ...
>
> Status in Hugin - Panorama Tools GUI:
> Fix Committed
>
> Bug description:
> Hugin 2014.0.0., Final downloaded at sourceforge today, Mac OS X
> 10.6.8
>
> All till now downloaded 2014 Versions, betas and final, after starting
> the program the hugins "desktop" appears, then a wxWidgets Debug Alert
> pops up. This alert can not be canceled or anything else, there is no
> response to mousklicks or typepad. The programm is not usable anymore
> and i only can end it with alt+cmd+esc
>
> Here the showen Alert:
>
> wxWidgets Debug Alert
>
> ../src/common/menucmn.cpp(693): assert "!m_menuBar" failed in
> Attach(): attaching menu twice?
>
> Call stack:
> [00] wxMenuBar::Replace(unsigned long, wxMenu*, wxString const&)
> [01] MainFrame::SetGuiLevel(GuiLevel)
> [02] MainFrame::MainFrame(wxWindow*, PT::Panorama&)
> [03] huginApp::OnInit()
> [04] wxApp::CallOnInit()
> [05] wxEntry(int&, wchar_t**)
> [06] main
> [07] start
>
> Do you want to stop the program?
> You can also choose [Cancel] to suppress further warnings.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hugin/+bug/1384283/+subscriptions
>

On Sat, 14 Feb 2015 09:12:46 +1100, Robin Canfield
<email address hidden> wrote:

> Pretty sure that previous email meant someone was finally working on the
> problem, not that it has been fixed already.

It means an attempt to fix the problem has been committed to the source
code in the repository.
A version of hugin with this fix will not be available until the next
release, but if you are able, you can build from the current source.

--
Regards,
Terry Duell

Robin Canfield (soldmymind) wrote :

Are there any good, comparable alternatives? Not seeking to be vilified by
the crowd or anything, but it's been months already and I've got lots of
folders of files waiting for sewing work and I haven't found any other
programs with similar ease of use that I like.
On Feb 13, 2015 7:25 PM, "tduell" <email address hidden> wrote:

> On Sat, 14 Feb 2015 09:12:46 +1100, Robin Canfield
> <email address hidden> wrote:
>
> > Pretty sure that previous email meant someone was finally working on the
> > problem, not that it has been fixed already.
>
> It means an attempt to fix the problem has been committed to the source
> code in the repository.
> A version of hugin with this fix will not be available until the next
> release, but if you are able, you can build from the current source.
>
> --
> Regards,
> Terry Duell
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1392126).
> https://bugs.launchpad.net/bugs/1384283
>
> Title:
> At Appstart: wxWidgets Debug Alert ...
>
> Status in Hugin - Panorama Tools GUI:
> Fix Committed
>
> Bug description:
> Hugin 2014.0.0., Final downloaded at sourceforge today, Mac OS X
> 10.6.8
>
> All till now downloaded 2014 Versions, betas and final, after starting
> the program the hugins "desktop" appears, then a wxWidgets Debug Alert
> pops up. This alert can not be canceled or anything else, there is no
> response to mousklicks or typepad. The programm is not usable anymore
> and i only can end it with alt+cmd+esc
>
> Here the showen Alert:
>
> wxWidgets Debug Alert
>
> ../src/common/menucmn.cpp(693): assert "!m_menuBar" failed in
> Attach(): attaching menu twice?
>
> Call stack:
> [00] wxMenuBar::Replace(unsigned long, wxMenu*, wxString const&)
> [01] MainFrame::SetGuiLevel(GuiLevel)
> [02] MainFrame::MainFrame(wxWindow*, PT::Panorama&)
> [03] huginApp::OnInit()
> [04] wxApp::CallOnInit()
> [05] wxEntry(int&, wchar_t**)
> [06] main
> [07] start
>
> Do you want to stop the program?
> You can also choose [Cancel] to suppress further warnings.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hugin/+bug/1384283/+subscriptions
>

tduell (tduell-iinet) wrote :

On Sat, 14 Feb 2015 11:29:31 +1100, Robin Canfield
<email address hidden> wrote:

> Are there any good, comparable alternatives? Not seeking to be vilified
> by the crowd or anything, but it's been months already and I've got lots
> of
> folders of files waiting for sewing work and I haven't found any other
> programs with similar ease of use that I like.

The problem should only appear when using the gui, the command line tools
should work OK if you are prepared to try using scripts.
I don't know of any free alternatives, but a search for panorama stitchers
should come up with what's available.

--
Regards,
Terry Duell

Robin Canfield (soldmymind) wrote :

Yeah, what a Google search brings up isn't great. At least not last time I
checked.
Don't really know how to work with it with scripts. Maybe I'll try loading
HugIn on some more computers (I do a lot of video editing and have multiple
MacBook Pros. I've had the same bug on three computers) but I don't have
much hope for success with that as the other two are the same year, model
and OS as one of the others I've already tried.
On Feb 13, 2015 9:10 PM, "tduell" <email address hidden> wrote:

> On Sat, 14 Feb 2015 11:29:31 +1100, Robin Canfield
> <email address hidden> wrote:
>
> > Are there any good, comparable alternatives? Not seeking to be vilified
> > by the crowd or anything, but it's been months already and I've got lots
> > of
> > folders of files waiting for sewing work and I haven't found any other
> > programs with similar ease of use that I like.
>
> The problem should only appear when using the gui, the command line tools
> should work OK if you are prepared to try using scripts.
> I don't know of any free alternatives, but a search for panorama stitchers
> should come up with what's available.
>
> --
> Regards,
> Terry Duell
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1392126).
> https://bugs.launchpad.net/bugs/1384283
>
> Title:
> At Appstart: wxWidgets Debug Alert ...
>
> Status in Hugin - Panorama Tools GUI:
> Fix Committed
>
> Bug description:
> Hugin 2014.0.0., Final downloaded at sourceforge today, Mac OS X
> 10.6.8
>
> All till now downloaded 2014 Versions, betas and final, after starting
> the program the hugins "desktop" appears, then a wxWidgets Debug Alert
> pops up. This alert can not be canceled or anything else, there is no
> response to mousklicks or typepad. The programm is not usable anymore
> and i only can end it with alt+cmd+esc
>
> Here the showen Alert:
>
> wxWidgets Debug Alert
>
> ../src/common/menucmn.cpp(693): assert "!m_menuBar" failed in
> Attach(): attaching menu twice?
>
> Call stack:
> [00] wxMenuBar::Replace(unsigned long, wxMenu*, wxString const&)
> [01] MainFrame::SetGuiLevel(GuiLevel)
> [02] MainFrame::MainFrame(wxWindow*, PT::Panorama&)
> [03] huginApp::OnInit()
> [04] wxApp::CallOnInit()
> [05] wxEntry(int&, wchar_t**)
> [06] main
> [07] start
>
> Do you want to stop the program?
> You can also choose [Cancel] to suppress further warnings.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hugin/+bug/1384283/+subscriptions
>

tduell (tduell-iinet) wrote :

On Sat, 14 Feb 2015 13:22:50 +1100, Robin Canfield
<email address hidden> wrote:

> Yeah, what a Google search brings up isn't great. At least not last time
> I checked.
> Don't really know how to work with it with scripts. Maybe I'll try
> loading
> HugIn on some more computers (I do a lot of video editing and have
> multiple MacBook Pros. I've had the same bug on three computers) but I
> don't have
> much hope for success with that as the other two are the same year, model
> and OS as one of the others I've already tried.

I suspect you'll have the same problems with your other computers.
Another approach, a bit drastic but should work, is to install VirtualBox,
and then install a linux as guest OS, using a shared folder with OSX to
get direct access to files on both systems.
Fedora builds have been quite reliable for me, and if you go this route I
can help you with an up to date hugin for Fedora 21.
If you want to try experimenting with scripts there are a couple available
on the flat scanning tutorial, here
<http://hugin.sourceforge.net/tutorials/scans/en.shtml>, but the
optimisation parameters are specific for mosaic mode and would need a bit
of editing for normal pano stitching.
This discussion is probably drifting off a bit.
I can continue to help via the hugin-ptx group, or directly if you wish.

Cheers,
--
Regards,
Terry Duell

Oliver (olophon) wrote :

I found a workaround for this problem that I have tested on several machines:

1. Download Hugin 2013 and mount the disk image
2. Startup Hugin and change menu "Interface" to "expert".
3. Quit and unmount the image

Now, when you startup Hugin 2014, the wxWidgets Debug Alert shouldn´t appear anymore.

Cheers,

Oliver

Roger Filmyer (rfilmyer) wrote :

Wouldn't a bug that essentially makes the application unusable for mac users without a prior install be important enough to merit the release of a new binary for the mac version?

tduell (tduell-iinet) wrote :

One might expect a new binary release for a situation such as this, but the hugin project only makes source code releases, and relies on the user community to build the binary packages.

Cheers,
Terry

zarl (carl-einem) wrote :

Roger,

the latest release actually works here on OS X 10.8.5, and I'm not sure which system version Matthieu used at the time he built the current version of Hugin. Another question is which other OS X versions he had available to test his build.

Did you try Oliver's workaround?

Carl

Roger Filmyer (rfilmyer) wrote :

Using Oliver's workaround fixed it for me. I am running 10.10.3.

Terry, I didn't realize that all of the binaries were community binaries! How stable are the nightlies; would it be worth it to choose one as a version and release it as another binary? Alternately, how backportable is the fix to the stable 2014 version? Could I just make that 3-line change, throw it into an old version of the source, and see if it builds?

Roger Filmyer (rfilmyer) wrote :

(Terry wrote me back via email, since he was having problems replying on Launchpad)

"Hello Roger,
Please excuse my direct contact, but I have been attempting to respond to your post to the hugin buglist, but there seems to be some problem with the server, it won't take my response.

>Using Oliver's workaround fixed it for me. I am running 10.10.3.

OK, that's a step forward.

>Terry, I didn't realize that all of the binaries were community
>binaries! How stable are the nightlies; would it be worth it to choose
>one as a version and release it as another binary? Alternately, how
>backportable is the fix to the stable 2014 version? Could I just make
>that 3-line change, throw it into an old version of the source, and see
>if it builds?

In my opinion, linux builds of the current source are quite stable. I regularly build Fedora packages to test that all is OK, and am always running a build of the latest (or nearly) source.
You could try a build of the current source, if you are able to do that, but I'm not sure if building on OSX has any complications. I would have guessed it would be pretty much as per linux, but I'm guessing.
Preparations are being made for a release (2015.0.0), but as that process depends on the available time of volunteers, I can't guess at how long that will take.

Contact me directly if you need any help with a local build, and I'll try to help as much as I can."

tmodes (tmodes) on 2015-04-26
Changed in hugin:
milestone: none → 2015.0beta1
status: Fix Committed → Fix Released
L D (ringmaster-x) wrote :

On the Mac interface I get the same basic error.
Workaround. Select 'cancel' or 'no' when the program is trying to load the debugging routine. This is what is throwing the error it seems to me. The program works fine otherwise.
You'll have to do the same later when building an image. As I recall you only have to do this once if the program remains open. Well once for any time it goes to debugger in a unique manner.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments